PRO CLINPS,zmergx,wind,elo,gglo,elon,nlat,ndg,qrad,colors,levels,zpl,wpl,elpl,nlpl
compile_opt hidden
on_error,1
print,'inside clinps...',ndg
;
;... determine the u and v component to be used by velovect
wm= float(sqrt(zmergx*conj(zmergx)))
zuv=zmergx/wm
xdim=size(zuv,/dimensions)
rl=real_part(zuv)
im=imaginary(zuv)
if ndg eq 1.0 then sz=32
if ndg eq 2.0 then sz=16
if ndg ge 4.0 then sz=8

;
n=sz-1
dm=fix((xdim(0)-1)/sz)
u=fltarr(sz,sz) &  v=fltarr(sz,sz)
for i=0,n do for j=0,n do v(i,j)=im(i*dm,j*dm)
for i=0,n do for j=0,n do u(i,j)=rl(i*dm,j*dm)
el=fltarr(sz) & nl=fltarr(sz)
for k=0,n do el(k)=elon(k*dm)
for j=0,n do nl(j)=nlat(j*dm)

if n_params() eq 0 then begin
print,'CLINPS,wind,elo,gglo,elon,nlat,ndg,qrad,colors,levels,zpl,wpl,elpl,nlpl'
&return&endif 

;...latitude and longitude limits of plot domain
ndg=min([ndg,7])

;... dhx and dhy are values for the location of DeepHorizon
dhx=fltarr(1) & dhy=fltarr(1)
dhx(0)=28.738889 & dhy(0)=-88.389722

;...create map environment, including geography
map_set,limit=[gglo-ndg,elo-ndg,gglo+ndg,elo+ndg],/noborder,xmargin=[5,5],ymargin=[2,3]
contour,1.94*wind,elon,nlat,levels=levels,c_color=colors,/fill,/overplot
velovect,u,v,el,nl,length=0.3,color=214,thick=3,/overplot
;commented out on 04/04/11
;oplot,dhy,dhx,psym=5,thick=12
map_continents,/hires,/coasts,mlinethick=4

;...plot isotachs ... contour interval is in knots
ISOTACHSX,1.94*wind,elon,nlat

;...bordering axes and center locator
!x.range=[elo-ndg,elo+ndg] & !y.range=[gglo-ndg,gglo+ndg]
axis,xaxis=0 & axis,yaxis=0 & axis,xaxis=1,xtitle=ttl & axis,yaxis=1
oplot,[elo-ndg,elo+ndg],[gglo,gglo],linestyle=5
oplot,[elo,elo],[gglo-ndg,gglo+ndg],linestyle=5

;...draw direction arrows
;@dartsll.m

;
;...add storm name and creation time here
str=''
openr,lu,'timeLog',/get_lun
while not eof(lu) do begin
readf,lu,str
endwhile
close,lu &  free_lun,lu
sign=str
xyouts,elo-ndg+.05,gglo-ndg+.05,sign,charthick=1.2,charsize=1.2,color=214
!p.charthick=2
;
;...write table of wind radii
WRQRADCX,elo,gglo,ndg,qrad
!x.range=0 & !y.range=0
END ;CLINPS.PRO
