;S_RDKRDSC.M
string=''

openr,lu,krname,/get_lun

;...read observed XXOBS,YXOB,UXOBS,VXOBS
readf,lu,xxobs,yxobs,uxobs,vxobs

; ... ignore next three lines
readf,lu,string & readf,lu,string & readf,lu,string
name=strcompress(string)

;...read mesh and variable information
readf,lu,iz,mesha,meshb,iz,lvprogo & mesha=fix(mesha) & meshb=fix(meshb)
lvprogo=fix(lvprogo) & lvid=intarr(5)
readf,lu,lvid,levelzo & levelzo=fix(levelzo)
lvid=lvid(0:lvprogo-1)
readf,lu,string

;...allocate storage for nesting information.
mxsh=intarr(meshb) & nxsh=mxsh & m1sbsh=mxsh & n1sbsh=nxsh
mxxsbsh=m1sbsh & nxxsbsh=n1sbsh & dxsh=fltarr(meshb) & dysh=dxsh
x1sh=dxsh & y1sh=dxsh & xxsh=dxsh & yxsh=dxsh

;...read nesting information
for m=mesha-1,meshb-1 do begin $
readf,lu,mx,nx & readf,lu,iz,iz,m1sb,n1sb,mxxsb,nxxsb &$
readf,lu,dx,dy,xm1,yn1,xmxx,ynxx & mxsh(m)=mx & nxsh(m)=nx &$
m1sbsh(m)=m1sb & n1sbsh(m)=n1sb & mxxsbsh(m)=mxxsb & nxxsbsh(m)=nxxsb &$
dxsh(m)=dx & dysh(m)=dy & x1sh(m)=xm1 & y1sh(m)=yn1 & xxsh(m)=xmxx & yxsh(m)=ynxx &endfor

;...allocate storage for amplitude arrays
mxmax=max(mxsh) & nxmax=max(nxsh) & mnox=(mxmax+3)*(nxmax+3)
ampl=fltarr(mnox,meshb,lvprogo) & zampl=complexarr(mnox,meshb)

;...read map projection information
readf,lu,string
tag=strcompress(string,/remove_all) & tag=strmid(tag,7,10)
readf,lu,geo,gglo,gglo,elo

;...read amplitudes for all meshes
for m=mesha-1,meshb-1 do begin readf,lu,string &$
for k=0,lvprogo-1 do begin readf,lu,mx,nx,nval,mesh & amp=fltarr(nval) & zamp=complexarr(nval) &$
if lvid(k) eq 4 then begin readf,lu,zamp & zampl(0:nval-1,m)=zamp &$
ampl(0:nval-1,m,k)=float(zamp) & ampl(0:nval-1,m,k+1)=imaginary(zamp) & endif else begin $
readf,lu,amp & ampl(0:nval-1,m,k)=amp & endelse&endfor&endfor

;...change colons in tag into underscores
tagsplit=str_sep(tag,':')
if strlen(tagsplit(0)) eq 3 then tagsplit(0)='0'+tagsplit(0)
tag=tagsplit(0)+'_'+tagsplit(1)+'_'+tagsplit(2) & tag=strmid(tag,0,10)

;...make output file name
ofname=name+'_'+strcompress(tag,/remove_all)

;...close input file
close,lu & free_lun,lu

;... form date and time for lf file output
date=float(strmid(tag,0,4)) & ihr=fix(strmid(tag,5,2))
imin=fix(strmid(tag,8,2)) & time=100*long(100*ihr+imin)
;END S_RDKRDSC.M

