;s_stats.m
restore,'obs.idl'

;...generate coordinate grids (kilometers)
nxp=n_elements(xmkm) & nyp=n_elements(ynkm)
xkmg=fltarr(nxp,nyp) & ykmg=xkmg

for k=0,nyp-1 do xkmg(*,k)=xmkm
for k=0,nxp-1 do ykmg(k,*)=ynkm

;...generate data coordinates for interpolation
xi=(xkmd-min(xmkm))/dxyk
yi=(ykmd-min(ynkm))/dxyk

;...evaluate the analyzed field at the data points
fzcsd=INTERPOLATE(fzcs,xi,yi,cubic=-.5)

;...calculate the average absolute error of the fit
error=total(abs(scfd-fzcsd))/n_elements(scfd)

;...compute mean and rms
mn =total(scfd-fzcsd)/n_elements(scfd)
rms=sqrt(total((scfd-fzcsd)^2)/n_elements(scfd))

;...
ist=sort(rkmd) & rkm=rkmd(ist) & xkm=xkmd(ist) & ykm=ykmd(ist)
scf=scfd(ist) & scfa=fzcsd(ist)
string='     ntp          rkm          xkm          ykm          scf         scfa'
ofnamex='     '+ofname+' errorfile'
openw,lu,'statfile.dat',/get_lun
printf,lu,ofnamex & printf,lu,string & for k=0,n_elements(rkm)-1 do printf,lu,ntp(k),rkm(k),xkm(k),ykm(k),scf(k),scfa(k)
close,lu & free_lun,lu

;... tmp calling it "knots" just to make it appear...
openw,lu1,'stat_error_knots.dat',/GET_LUN
printf,lu1,mn,' 0.0'
printf,lu1,rms,' 0.0' 
close,lu1 & free_lun,lu1

;s_stats.m
